Subject: [rfc-i] IAB Seeks Feedback on Independent Submissions Editor

From: IAB Executive Administrative Manager <[email-masked]>
Date: Tue, 10 Sep 2019 12:18:04 -0700

As part of its oversight responsibility for the Independent Stream, the 
IAB is soliciting comments from the community on the performance of the 
Independent Submissions Editor, Adrian Farrel. The IAB is interested in 
comments on the last two years of operation of the Independent Stream 
and Adrian's activities as ISE.

Please send comments to [email-masked]. In addition, please CC 
[email-masked].

The IAB would appreciate receiving comments by Tuesday, 2019-10-08.

Best regards,
Cindy Morgan
IAB Executive Administrative Manager
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: Michael StJohns <[email-masked]>
Date: Thu, 12 Sep 2019 15:07:13 -0400

Hi -

It seems like a singularly bad idea to be doing this review at this 
time, given all the uncertainty with the RSE and the upcoming RPC 
contract re-let.   I went looking for some mention of a term for the ISE 
in the various documents (RFC's 6635, 6548 and 4846) and didn't see 
anything that said more than the IAB appointed the ISE - e.g. nothing 
that would indicate this needs to be done *right now*.

Can I suggest we defer this to after the RSE process has made forward 
progress - perhaps until say after the March meeting?    Unless of 
course Adrian has asked to be replaced?

Later, Mike

---

From: Ted Hardie <[email-masked]>
Date: Thu, 12 Sep 2019 12:47:56 -0700

Hi Mike,

> that would indicate this needs to be done *right now*.

If you review the announcement made in October of 2017, you'll see this:

"The Internet Architecture Board is pleased to announce the appointment of
Adrian Farrel as Independent Submission Editor (ISE).  This appointment is
for a two-year term, beginning on February 15th, 2018."

Since his term was going to end between IETF 106 and IETF 107, we are
asking for input on a re-appointment.  You'll see that the IAB of the time
did similar calls for comment during Nevil's term(s).

> course Adrian has asked to be replaced?
I'm happy to report that Adrian did not indicate a need to step down.
(That's why this is a call for comments, not a call for candidates).

I take it your feedback to the IAB is that making a change here is
ill-timed.  Thanks for that feedback.  If you have direct feedback on
Adrian's work, we will be happy to receive that as well, in the channels
previously named.

Thanks,

Ted

---

From: Michael StJohns <[email-masked]>
Date: Thu, 12 Sep 2019 17:09:21 -0400

On 9/12/2019 3:47 PM, Ted Hardie wrote:
> Hi Mike,
>
> On Thu, Sep 12, 2019 at 12:07 PM Michael StJohns 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Hi -
>
> "The Internet Architecture Board is pleased to announce the 
> appointment of Adrian Farrel as Independent Submission Editor (ISE). 
> This appointment is for a two-year term, beginning on February 15th, 
> 2018."
>
> asking for input on a re-appointment.  You'll see that the IAB of the 
> time did similar calls for comment during Nevil's term(s).

I went and reviewed the various emails since Nevil's original 
appointment, and what I realized was that his "term" was directly 
related to his contract to perform the ISE work. He had some sort of MOU 
starting 10 Feb 2010.  The 2/6/12 announcement of his reappointment has 
him with a 3 year contract term beginning around 15 Feb 2012.  He got 2 
extensions of 2 years and 1 year (the 2 year extension was granted 
nearly 4 months in advance), all with end/start date of 14/15 Feb.

Adrian got the appointment on 18 Oct 2017 for a 15 Feb 2018 start, but 
AFAIK, he's not on contract for a specific term.  (Feel free to correct 
me on that - I can't actually find anything that points one way or the 
other).   While you're correct that the appointment message said "2 year 
term", there's no actual underlying document (e.g. contract or RFC) that 
requires such a term.

It seems to me that selecting an arbitrary date for a review might be a 
useful approach in normal times, but now - not so much.  I think that 
date has been overtaken by events, and the IAB should - in consultation 
with Adrian of course - set a review date and term expiration date a bit 
further in the future, either changing that date now, or agreeing to 
defer setting a date until the RSE discussion is a bit more settled.

I believe it is in no one's interest to have the RSE and ISE positions 
both up for grabs at the same time.  If there's some underlying reason 
that can't be waived (e.g. contract), then let the community know what 
your firm constraints are.

Mike

> Adrian's work, we will be happy to receive that as well, in the 
> channels previously named.
>
> Thanks,
>
> Ted
>
>     Later, Mike
>
>
>     > Please send comments to [email-masked]
>     <mailto:[email-masked]>. In addition, please CC
>     > [email-masked] <mailto:[email-masked]>.
>     >
>     > [email-masked] <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>

---

From: Ted Hardie <[email-masked]>
Date: Thu, 12 Sep 2019 21:06:30 -0700

Hi Mike
(snipped some earlier discussion to make this more readable)

On Thu, Sep 12, 2019 at 2:09 PM Michael StJohns <[email-masked]>
wrote:

> I went and reviewed the various emails since Nevil's original appointment,
> and what I realized was that his "term" was directly related to his
> contract to perform the ISE work. He had some sort of MOU starting 10 Feb
> 2010.  The 2/6/12 announcement of his reappointment has him with a 3 year
> contract term beginning around 15 Feb 2012.  He got 2 extensions of 2 years
> and 1 year (the 2 year extension was granted nearly 4 months in advance),
> all with end/start date of 14/15 Feb.
>
> AFAIK, he's not on contract for a specific term.  (Feel free to correct me
> on that - I can't actually find anything that points one way or the other).
>   While you're correct that the appointment message said "2 year term",
> there's no actual underlying document (e.g. contract or RFC) that requires
> such a term.
>
> As you know, the ISE is an unpaid position, so the IAB did not ask Adrian
(or the other candidates) to agree to an unbounded term; setting it at two
years is a way to ensure that there is a regular cadence to asking the
incumbent if they can still dedicate the time.  Adrian has agreed that he
still can afford to do so, as I noted in my previous email.

The IAB is not conducting search; it's asking the community for feedback on
the incumbent.  That's  how the community can weigh in on extending the
term, and, as I'm sure you saw in your review, it's pretty much the
standard way of making sure the community is consulted for appointments
like this.

> useful approach in normal times, but now - not so much.  I think that date
> has been overtaken by events, and the IAB should - in consultation with
> Adrian of course - set a review date and term expiration date a bit further
> in the future, either changing that date now, or agreeing to defer setting
> a date until the RSE discussion is a bit more settled.
>
I believe it is in no one's interest to have the RSE and ISE positions both
> up for grabs at the same time.
>
As I pointed out, the IAB is not conducting a search; the ISE position "is
not up for grabs".

> If there's some underlying reason that can't be waived (e.g. contract),
> then let the community know what your firm constraints are.
>
The guiding principle here is to continue consulting the incumbent ISE on
his availability and the community on how it's going at the pace that was
previously set out.

Speaking as a member of the IAB, not as its chair, I believe the community
guidance has been in part to avoid surprises; changing the term now or
avoiding community consultation would both be surprises.  Given that we
have the time to run the usual process and a willing incumbent, I'd
personally rather do that.

As chair, I will ensure that your feedback on the process will be heard by
the IAB.  Should the consensus be to change the process, I will be happy to
go along with that consensus.  In either event, I urge you and other
readers to provide feedback; even if the process does change, Adrian has
indicated that he is interested in whatever feedback can be channeled back
to him, so it will serve a good purpose in any event.

regards,
Ted Hardie

---

From: John C Klensin <[email-masked]>
Date: Fri, 13 Sep 2019 08:26:45 -0400

Ted,

While I appreciate your reflections on what is going on here,
including sticking to expected dates and process and the
reassurance that the IAB is not expecting a change or to run a
call for candidates, I have to agree with Mike that the timing
is exquisitely unfortunate.

As has been said many times before, one of the IETF's (and
IAB's) strengths traditionally has been our ability and
willingness to make adjustments and do the right thing rather
than taking the position that the procedures are the procedures
and we just need to follow them no matter what.  In this case,
it seems to me that it would have plausible for the IAB to have
had a quiet conversation with Adrian (some weeks ago -- the IAB
obviously knew this was coming) as to whether postponing this
review would cause any inconvenience to him and, if not, asking
the community if, under the circumstances, there were serious
objections to doing so.  That would have been orderly, it would
not have seriously violated community expectations (especially
if done a few months ago) and it would have been, at least in my
opinion, a much better way to handle things.   I wonder if it
was even considered.

thanks,
   john

--On Thursday, September 12, 2019 21:06 -0700 Ted Hardie
<[email-masked]> wrote:

> On Thu, Sep 12, 2019 at 2:09 PM Michael StJohns
> <[email-masked]> wrote:
> 
>> appointment, and what I realized was that his "term" was
>> directly related to his contract to perform the ISE work. He
>> had some sort of MOU starting 10 Feb 2010.  The 2/6/12
>> announcement of his reappointment has him with a 3 year
>> contract term beginning around 15 Feb 2012.  He got 2
>> extensions of 2 years and 1 year (the 2 year extension was
>> granted nearly 4 months in advance), all with end/start date
>> of 14/15 Feb.
>> 
>> Adrian got the appointment on 18 Oct 2017 for a 15 Feb 2018
>> start, but AFAIK, he's not on contract for a specific term.
>> (Feel free to correct me on that - I can't actually find
>> anything that points one way or the other). While you're
>>   correct that the appointment message said "2 year term",
>> there's no actual underlying document (e.g. contract or RFC)
>> that requires such a term.
>> 
> (or the other candidates) to agree to an unbounded term;
> setting it at two years is a way to ensure that there is a
> regular cadence to asking the incumbent if they can still
> dedicate the time.  Adrian has agreed that he still can afford
> to do so, as I noted in my previous email.
> 
> The IAB is not conducting search; it's asking the community
> for feedback on the incumbent.  That's  how the community can
> weigh in on extending the term, and, as I'm sure you saw in
> your review, it's pretty much the standard way of making sure
> the community is consulted for appointments like this.
> 
>> It seems to me that selecting an arbitrary date for a review
>> might be a useful approach in normal times, but now - not so
>> much.  I think that date has been overtaken by events, and
>> the IAB should - in consultation with Adrian of course - set
>> a review date and term expiration date a bit further in the
>> future, either changing that date now, or agreeing to defer
>> setting a date until the RSE discussion is a bit more settled.
>> 
> As I pointed out, the IAB is not conducting a search; the ISE
> position "is not up for grabs".
> 
>> If there's some underlying reason that can't be waived (e.g.
>> contract), then let the community know what your firm
>> constraints are.
>> 
> The guiding principle here is to continue consulting the
> incumbent ISE on his availability and the community on how
> it's going at the pace that was previously set out.
> 
> Speaking as a member of the IAB, not as its chair, I believe
> the community guidance has been in part to avoid surprises;
> changing the term now or avoiding community consultation would
> both be surprises.  Given that we have the time to run the
> usual process and a willing incumbent, I'd personally rather
> do that.
> 
> As chair, I will ensure that your feedback on the process will
> be heard by the IAB.  Should the consensus be to change the
> process, I will be happy to go along with that consensus.  In
> either event, I urge you and other readers to provide
> feedback; even if the process does change, Adrian has
> indicated that he is interested in whatever feedback can be
> channeled back to him, so it will serve a good purpose in any
> event.
> 
> regards,
> Ted Hardie

---

From: Ted Hardie <[email-masked]>
Date: Fri, 13 Sep 2019 08:07:10 -0700

On Fri, Sep 13, 2019 at 5:26 AM John C Klensin <[email-masked]> wrote:

> I have a strong impression that this process will run to completion prior
to IETF 106.  Given the current timelines for other community discussion,
it seems to me that moving the process later is higher risk than running it
now.  I understand that Mike's views differ here.

> The timing was discussed; since the appointment is until February of next
year, there was some leeway without changing any community expectations.
Asking Adrian earlier rather than later seemed important in order to handle
the case that he was not willing to continue.  Since he was willing to
continue, that was fortunately avoided, but there seemed no reason to delay
asking for community input.

As Mike raised an objection to the current process, I have sent an e-vote
to the IAB asking if they wish to reconsider the process in light of the
objection; as I noted to him, I personally believe that this running now
adds to the stability of the system rather than subtracts from it.  If the
IAB wants to reconsider I will, of course, go with that new theory.

regards,

Ted Hardie

---

From: John C Klensin <[email-masked]>
Date: Fri, 13 Sep 2019 11:44:34 -0400

Ted,

Thanks for the quick and careful reply.  After reading your
note, I think everything was done correctly and with the right
timing up to the point that Adrian indicated he was willing to
continue.   After that, it would have been a reasonable option
to ask him if he was willing to extend for some months as
necessary to let other things settle down before you launched
the feedback period.   Obviously, if he had told you he intended
to step down in February, we;d have another time-constrained RFC
Editor Function deadline on our hands, but, fortunately, he
didn't.  Whether that is the best option, I leave to the IAB to
decide... and hope that you will consult Adrian for his opinion
in the process.

best,
   john

--On Friday, September 13, 2019 08:07 -0700 Ted Hardie
<[email-masked]> wrote:

> to IETF 106.  Given the current timelines for other community
> discussion, it seems to me that moving the process later is
> higher risk than running it now.  I understand that Mike's
> views differ here.
> 
> 
>> than taking the position that the procedures are the
>> procedures and we just need to follow them no matter what.
>> In this case, it seems to me that it would have plausible for
>> the IAB to have had a quiet conversation with Adrian (some
>> weeks ago -- the IAB obviously knew this was coming) as to
>> whether postponing this review would cause any inconvenience
>> to him and, if not, asking the community if, under the
>> circumstances, there were serious objections to doing so.
>> That would have been orderly, it would not have seriously
>> violated community expectations (especially if done a few
>> months ago) and it would have been, at least in my opinion, a
>> much better way to handle things.   I wonder if it was even
>> considered.
>> 
> year, there was some leeway without changing any community
> expectations. Asking Adrian earlier rather than later seemed
> important in order to handle the case that he was not willing
> to continue.  Since he was willing to continue, that was
> fortunately avoided, but there seemed no reason to delay
> As Mike raised an objection to the current process, I have
> sent an e-vote to the IAB asking if they wish to reconsider
> the process in light of the objection; as I noted to him, I
> personally believe that this running now adds to the stability
> of the system rather than subtracts from it.  If the IAB wants
> to reconsider I will, of course, go with that new theory.
> 
> regards,
> 
> Ted Hardie
> 
> 
> 
>> thanks,
>>    john
>> 
>> 
>> >> I went and reviewed the various emails since Nevil's
>> >> original appointment, and what I realized was that his
>> >> "term" was directly related to his contract to perform the
>> >> ISE work. He had some sort of MOU starting 10 Feb 2010.
>> >> The 2/6/12 announcement of his reappointment has him with
>> >> a 3 year contract term beginning around 15 Feb 2012.  He
>> >> got 2 extensions of 2 years and 1 year (the 2 year
>> >> extension was granted nearly 4 months in advance), all
>> >> with end/start date of 14/15 Feb.
>> >> 
>> >> there's no actual underlying document (e.g. contract or
>> >> RFC) that requires such a term.
>> >> 
>> > dedicate the time.  Adrian has agreed that he still can
>> > afford to do so, as I noted in my previous email.
>> > 
>> > for feedback on the incumbent.  That's  how the community
>> > can weigh in on extending the term, and, as I'm sure you
>> > saw in your review, it's pretty much the standard way of
>> > making sure the community is consulted for appointments
>> > like this.
>> > 
>> >> It seems to me that selecting an arbitrary date for a
>> >> review might be a useful approach in normal times, but now
>> >> - not so much.  I think that date has been overtaken by
>> >> events, and the IAB should - in consultation with Adrian
>> >> of course - set a review date and term expiration date a
>> >> bit further in the future, either changing that date now,
>> >> or agreeing to defer setting a date until the RSE
>> >> discussion is a bit more settled.
>> >> 
>> > As I pointed out, the IAB is not conducting a search; the
>> > ISE position "is not up for grabs".
>> > 
>> >> If there's some underlying reason that can't be waived
>> >> (e.g. contract), then let the community know what your firm
>> >> constraints are.
>> >> 
>> > changing the term now or avoiding community consultation
>> > would both be surprises.  Given that we have the time to
>> > run the usual process and a willing incumbent, I'd
>> > As chair, I will ensure that your feedback on the process
>> > will be heard by the IAB.  Should the consensus be to
>> > change the process, I will be happy to go along with that
>> > consensus.  In either event, I urge you and other readers
>> > to provide feedback; even if the process does change,
>> > Adrian has indicated that he is interested in whatever
>> > feedback can be channeled back to him, so it will serve a
>> > good purpose in any event.
>> > 
>> > regards,
>> > Ted Hardie
>> 
>> 
>> 
>> 
>>

---

From: Eric Rescorla <[email-masked]>
Date: Fri, 13 Sep 2019 12:55:28 -0700

> IAB wants to reconsider I will, of course, go with that new theory.

For the record [0], I agree with this view.

-Ekr

[0] To the extent to which one believes -- mistakenly, IMO -- that traffic
on the ietf@ list ought to be taken as a proxy for the views of the
community.

---

From: Mike StJohns <[email-masked]>
Date: Fri, 13 Sep 2019 16:51:29 -0700

Hi Ted - sorry for top posting, but doing line insertion on an iPad is painful.  

I’m happy to wait for the result of the e-vote, but I wanted to give you my logic tree:

If Adrian will be reappointed regardless of the result of the review, then there’s no obvious reason for gathering review material between now and the expiration of the new appointment period.  

If this review has potential consequences ( e.g depending on review comments, the IAB  might actually decide he must be replaced) then that sets the IAB and the community up for the situation I’m afraid of.  And given that the IAB’s decision process is not visible to the community, the IAB trying to explain why this had to happen will not be a pretty sight.  

Of course, all could be well and the IAB just does a routine reappointment.   But I can’t really predict the future on that - nor can you I believe. AIRC from the IAB charter, two members could prevent consensus to reappoint.  

I’d rather avoid any possibility of uncertainty here one way or the other.  

———————————

For the record, I think Adrian is doing a great job and the one the community wants him to do.   

I wait with breathless anticipation the IABs decision on my suggested delay.  

Mike

Sent from my iPad

> On Sep 13, 2019, at 08:07, Ted Hardie <[email-masked]> wrote:
> 
> I have a strong impression that this process will run to completion prior to IETF 106.  Given the current timelines for other community discussion, it seems to me that moving the process later is higher risk than running it now.  I understand that Mike's views differ here.
>  
> The timing was discussed; since the appointment is until February of next year, there was some leeway without changing any community expectations.  Asking Adrian earlier rather than later seemed important in order to handle the case that he was not willing to continue.  Since he was willing to continue, that was fortunately avoided, but there seemed no reason to delay asking for community input.   
> 
> As Mike raised an objection to the current process, I have sent an e-vote to the IAB asking if they wish to reconsider the process in light of the objection; as I noted to him, I personally believe that this running now adds to the stability of the system rather than subtracts from it.  If the IAB wants to reconsider I will, of course, go with that new theory.  
> 
> regards,
> 
> Ted Hardie
> 
>  
>> thanks,
>>    john
>> 
>>

---

From: Stephen Farrell <[email-masked]>
Date: Sat, 14 Sep 2019 01:12:58 +0100

Mike, (but also addressing John):

On 14/09/2019 00:51, Mike StJohns wrote:
> If Adrian will be reappointed regardless of the result of the review,
> then thereâ€™s no obvious reason for gathering review material
> between now and the expiration of the new appointment period.
Huh? Gathering, anonymising and providing feedback seems
like a fairly obvious and entirely normal reason to me.
Doing that every couple of years regardless of whatever
else is going on also seems entirely unremarkable to me
too.

Honestly folks - those of you suspicious of the IAB and
all our doings don't need to be quite so concerned. It
is just not the case that everything the IAB does is
shrouded in one of scheming or ineptitude;-) I say that
as an IAB member who does think the IAB has variously
messed up recently.

I can say that there have been no IAB discussions at
all that I could see leading to any chance whatsoever
that we cause the same kind of bad outcome as happened
with the RSE.

Does that help assuage any suspicions or worries?

Cheers,
S.

---

From: John C Klensin <[email-masked]>
Date: Sat, 14 Sep 2019 02:18:41 -0400

--On Saturday, September 14, 2019 01:12 +0100 Stephen Farrell
<[email-masked]> wrote:

>> If Adrian will be reappointed regardless of the result of the
>> review, then thereâ€™s no obvious reason for gathering
>> review material between now and the expiration of the new
>> appointment period.

Stephen,

I don't see any inconsistency between what Mike wrote (at least
as I understood it).   I think gathering feedback as you suggest
is entirely reasonable and appropriate.  All I've questioned is
the timing.  

If, as Mike suggests, Adrian will be reappointed regardless of
the result of the review and the IAB likes the month in which
the renewal cycle occurs, announce his appointment and then,
either immediately or at a time convenient to the community,
announce that you are soliciting feedback for his information
and that of the IAB.  Note that I did not say "conduct a review"
because, if the reappointment has already been made or will be
made regardless of the feedback, then there really is no review
in the sense of evaluation of the feedback results potentially
changing the outcome.

On the other hand, if the IAB really does want to conduct a
review and possibly even a request for nominations/suggestions
for who might be a better ISE than Adrian, then I continue to
believe this is the wrong time to do that.
 
> shrouded in one of scheming or ineptitude;-)

I don't think hyperbole helps here.  I'm not suspicious of "all
your doings" and while there may be people in the community who
are, I think most of the postings of the last several weeks that
have addressed the IAB have been much more focused than that..
I do believe that there has been less transparency of late than
I think desirable and that the lack of transparency is
independent (although sometimes reinforcing) of what you
describe as "variously messed up".  Whether it is lack of
transparency or because the analysis has not been done, I
haven't seen reports to the community that analyze those "mess
ups" and explain what the IAB is doing to prevent recurrences
without in the process casting blame on others (especially IAB
appointees) or discussing what is being done to prevent similar
failures in the future.

If there have been significant disagreements within the IAB
about how to handle some of these things, both transparency and
the mechanisms the IETF uses to select its leadership suggest
that the community be told about that and be told who is taking
what positions.   In the presence of more than one mess up in a
relatively short period of time, anything else looks like what
is known on this side of the pond as circling the wagons. 

> I say that

And I appreciate your saying that because, up to this point and
at least as far as any messages I'm managed to read in recent
weeks are concerned, we still don't know whether there were
dissenting voices in the decisions (or failure to make
decisions) that led to the problems that the rest of the IAB
overruled or whether your recognition that there were problems
or mess ups came only after the difficulties occurred and the
community responded badly. Coming back to some of the earliest
postings on the RSE mess (Mike's notably), if no one on the IAB
saw even the possibility of at least some of these mess ups
occurring, that is something the community should know about if
only to help with feedback about what is needed in the IAB
membership profile for upcoming nominations and the nomcom's
evaluations.
 
> that we cause the same kind of bad outcome as happened

I appreciate that information and hope others do to.
 
> Does that help assuage any suspicions or worries?

It does.  But I can still believe in bad timing even if I had no
suspicions or worries at all about this particular topic.

best,
   john

---

From: S Moonesamy <[email-masked]>
Date: Sat, 14 Sep 2019 03:24:48 -0700

Dear IAB Chair,
>and Adrian's activities as ISE.

I'll disclose that I am currently serving on ISEB.  As there is a 
conflict of interest, I will refrain from commenting on the 
performance of the Independent Submissions Editor.

The IAB is requesting feedback.  However, its information does not 
provide any information about the last two years of operation.  Does 
the IAB have information about that?  If that is the case, could it 
publish that information so that the reader can have a less than 
uninformed view of the operation?

Regards,
S. Moonesamy

---

From: Michael StJohns <[email-masked]>
Date: Sat, 14 Sep 2019 13:23:53 -0400

> else is going on also seems entirely unremarkable to me

Me too.   But that can either be an end to itself, or feed into a review 
process with consequences...

> as an IAB member who does think the IAB has variously

This really isn't so much about trust, but about game theory.

Goal:  Avoid having to find a new ISE at the same time we're resolving 
the RSE issues.

Assumptions:  The current ISE is willing to continue for some period 
with or without a review, and there are no unforeseeable events that 
cause the ISE to be vacant (Adrian falling over dead, etc).

Strategy 1:  Defer the periodic review until after the RSE issues are 
resolved, or in progress to being resolved.

    Probability of Goal Success (POGS): 100%
    Cost: None

Strategy 2: Extend the current ISE's term for a fixed amount (e.g. 6, 
12, 18 or 24 months) without gathering review comments.

   POGS: 100%
   Cost: None

Strategy 3:  Extend the current ISE's term for a fixed amount; gather 
review comments but the extension is guaranteed, the comments do not 
affect the length of the term.

   POGS: ~100% (ISE could decline to be reappointed after feedback)
   Cost:  Cost to community to provide comments; cost to IAB to collate 
them and provide feedback to the ISE.

Strategy 4:  Execute the periodic review on time; reappoint or not 
reappoint the ISE dependent on that process

   POGS:  < 100%   (IAB fails to reach consensus on reappointment, ISE 
declines to be reappointed for whatever reason)
   Cost:  As with strategy 3, plus the possible cost of having to find a 
new RSE.

The first 2 strategies meet the goal without ever having to evaluate the 
probabilities related to human foibles.   The third strategy only 
depends on the ISE's determinations, but given the assumption, probably 
not a risk).  The first two strategies have the lowest cost.  Strategy 1 
vs Strategy 2 is more about how you want to fold in the delay against 
the current model.  Only the 4th strategy has a probability of failure 
(outside of the assumptions I made above).  It doesn't matter how small 
that probability is - I don't see any reason whatsoever for the 
community to take that risk at this time.  Maybe I'm being too risk 
averse, but if I have strategies that are risk free and cost free, why 
wouldn't I take them?

> that we cause the same kind of bad outcome as happened

Sure - but it's irrelevant to the analysis and it's actually not 
something you can guarantee.    If the IAB wants to avoid even the 
slimmest possibility, maybe choose a different strategy.

Later, Mike

---

From: John C Klensin <[email-masked]>
Date: Sat, 14 Sep 2019 14:57:34 -0400

Let me add, essentially from my earlier note but Mike's format
and style of analysis:

Strategy 3A:  Extend the current ISE's term for a fixed amount
(preferably 24 months because going through these exercises very
often incurs it own cost and potential collateral damage) now;
gather feedback ("review comments" becomes an incorrect
description) after the RSE issues are resolved, or in progress
to being resolved. 
	
	 POGS: 100% (ISE is simply reappointed now and the
	 feedback is forward-facing and presumably helpful to the
   ISE as advertised but not about evaluation or renewal)
   Cost:  Cost to community to provide comments; cost to 
   IAB to collate them and provide feedback to the ISE.

I'm ok with either this or Mike's 2 or 3, but this would seem to
combine the best features of both if the IAB and/or the ISE
believe that a formal effort to collect feedback would be
helpful.

best,
 john

--On Saturday, September 14, 2019 13:23 -0400 Michael StJohns
<[email-masked]> wrote:

>>> If Adrian will be reappointed regardless of the result of
>>> the review, then thereâ€™s no obvious reason for
>>> gathering review material between now and the expiration of
>>> the new appointment period.
> Me too.   But that can either be an end to itself, or feed
> into a review process with consequences...
> 
> 
>> 
> Goal:  Avoid having to find a new ISE at the same time we're
> resolving the RSE issues.
> 
> Assumptions:  The current ISE is willing to continue for some
> period with or without a review, and there are no
> unforeseeable events that cause the ISE to be vacant (Adrian
> falling over dead, etc).
> 
> Strategy 1:  Defer the periodic review until after the RSE
> issues are resolved, or in progress to being resolved.
> 
> Strategy 2: Extend the current ISE's term for a fixed amount
> (e.g. 6, 12, 18 or 24 months) without gathering review
> comments.
> 
>    POGS: 100%
>    Cost: None
> 
> Strategy 3:  Extend the current ISE's term for a fixed
> amount; gather review comments but the extension is
> guaranteed, the comments do not affect the length of the term.
> 
>    Cost:  Cost to community to provide comments; cost to IAB
> to collate them and provide feedback to the ISE.
> 
> Strategy 4:  Execute the periodic review on time; reappoint
> or not reappoint the ISE dependent on that process
> 
>    POGS:  < 100%   (IAB fails to reach consensus on
> reappointment, ISE declines to be reappointed for whatever
> reason)
>    Cost:  As with strategy 3, plus the possible cost of
> having to find a new RSE.
> 
> 
> The first 2 strategies meet the goal without ever having to
> evaluate the probabilities related to human foibles.   The
> third strategy only depends on the ISE's determinations, but
> given the assumption, probably not a risk).  The first two
> strategies have the lowest cost.  Strategy 1 vs Strategy 2 is
> more about how you want to fold in the delay against the
> current model.  Only the 4th strategy has a probability of
> failure (outside of the assumptions I made above).  It
> doesn't matter how small that probability is - I don't see any
> reason whatsoever for the community to take that risk at this
> time.  Maybe I'm being too risk averse, but if I have
> strategies that are risk free and cost free, why wouldn't I
> take them?
> 
> 
>> 
> Sure - but it's irrelevant to the analysis and it's actually
> not something you can guarantee.    If the IAB wants to
> avoid even the slimmest possibility, maybe choose a different
> strategy.
> 
> Later, Mike
> 
> 
>>

---

From: Sarah Banks <[email-masked]>
Date: Mon, 16 Sep 2019 12:20:34 -0700

<massive snip>

(Speaking for myself)

FWIW, this thread feels unwarranted at best. As Ted has pointed out, periodic requests for feedback have been requested for some time, this is nothing new. As Stephen points out, the IAB is not the devil, and if you think they are, well you have recourses open to you. I don't think anyone expects negative feedback to come in that would cause Adrian to not continue on. However, it seems to me that asking for the feedback seems to be a proverbial sin (as if someone is out to get him??) and it occurs to me that NOT asking for the feedback could be the same thing (they aren't given the community a chance to weigh in!). Seriously speaking, feedback is a good thing, and without having checked with Adrian first, my guess is he would welcome it. Constructive feedback helps us all  grow, and no one can change what you don't like if you don't tell them... and conversely, knowing that someone appreciates what you're doing and how you're doing it has tremendous value, too. Let the man get his ju
 stly dues, and if I might suggest, spend some time writing even longer emails telling him how awesome he's doing, and submit them to the IAB as requested.

</2 cents>
Sarah

---

From: Ted Hardie <[email-masked]>
Date: Tue, 17 Sep 2019 08:09:01 -0700

Hi Mike,

> Goal:  Avoid having to find a new ISE at the same time we're resolving
This is a very simplified view of the goal here, and if you start with that
simplification, you can end up missing the other things that need to get
done.

To illustrate this, let me highlight it using a different phrasing and
different position.  The ISE is a stream manager, with responsibility for
the output of the Independent Stream.  Christian Huitema is the stream
manager for the IAB stream.  If we phrased this as "Avoid having to change
stream managers at the same time we're resolving the issues raised when the
RSE declined to accept a new contract", then it seems logical that we
should  exempt Christian from NomCom review, even though his term is up and
he would normally be renewed at this time.  After all, one of the major
theories here is that the stream managers could convene the process for
updating the RFC model--changing them out midstream would clearly be
disruptive.  Of course, if that dragged on, we might also have to exempt
Alissa, since she's the stream manager for the IETF stream.

You see the problem, of course; exempting them from NomCom renewal  means
that the goal of avoiding potential issues with the RFC Series results
collides with a different goal--getting community review of leadership
positions on a regular basis.

In this particular case, doing the review now for the renewal due in
February means we will have the comments in hand before IETF 106 and can
move through the rest of the process without colliding with whatever next
steps are decided there.  That's why I continue to believe that this
review, conducted at its normal time, is less risky than delaying it.

regards,

Ted Hardie

---

From: Ted Hardie <[email-masked]>
Date: Tue, 17 Sep 2019 08:17:11 -0700

Howdy,

On Sat, Sep 14, 2019 at 3:25 AM S Moonesamy <[email-masked]> wrote:

> While it is up to you to judge the potential for conflict of interest,
other members for the ISEB have done so while disclosing the position.  You
may wish to consider if you would like to that route instead.

> uninformed view of the operation?
https://www.rfc-editor.org/search/rfc_search_detail.php?pubstatus%5B%5D=Any&pub_date_type=range&from_month=February&from_year=2018&to_month=September&to_year=2019&stream_name=Independent

Provides a look at the set of publications during this period; you can, of
course, adjust the dates as needed.  Because the IAB liaisons and joint
members with the IESG, there is also some data on the IESG/IAB interactions
available to the IAB which derives from that.  The point of this call,
though, is mostly to hear from community members about other interactions,
such as those between the ISE and potential authors.

regards,

Ted Hardie

Regards,

---

From: Michael StJohns <[email-masked]>
Date: Tue, 17 Sep 2019 12:18:32 -0400

Hi Ted - inline

On 9/17/2019 11:09 AM, Ted Hardie wrote:
> Hi Mike,
>
> On Sat, Sep 14, 2019 at 10:24 AM Michael StJohns <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>
>
>     resolving
> This is a very simplified view of the goal here, and if you start with 
> that simplification, you can end up missing the other things that need 
> to get done.
>
> different position.  The ISE is a stream manager, with responsibility 
> for the output of the Independent Stream.  Christian Huitema is the 
> stream manager for the IAB stream.  If we phrased this as "Avoid 
> having to change stream managers at the same time we're resolving the 
> issues raised when the RSE declined to accept a new contract", then it 
> seems logical that we should  exempt Christian from NomCom review, 
> even though his term is up and he would normally be renewed at this 
> time.  After all, one of the major theories here is that the stream 
> managers could convene the process for updating the RFC 
> model--changing them out midstream would clearly be disruptive.  Of 
> course, if that dragged on, we might also have to exempt Alissa, since 
> she's the stream manager for the IETF stream.

This logic is so tortured I pictured you in a dungeon with a rack and 
other instruments of painful persuasion.

Until today, I didn't actually know who the IAB or IESG stream managers 
were, and I still don't care.  Basically, if one of them dropped dead, 
resigned, or otherwise became unavailable, the respective body would 
simply replace them and the community as a whole mostly wouldn't care.  
Trying to equate the IAB or IESG stream managers with the ISE (who is 
*also*  the independent stream manager as well as its editor) seems to 
be a stretch.

At this point, you're (IAB/RSOC) clamped on to the 6635 model of RSE 
refresh and have shown no signs of changing that (except that you don't 
actually want to hire an RSE, so I'm not quite sure how 6635 applies?).  
Had you - prior to this discussion - offered to make that change to 
involve the stream managers and others, you *might* have a point to your 
argument that this might be disruptive (but probably not).  Now - I 
don't think your argument holds water.

>
> You see the problem, of course; exempting them from NomCom renewal  
> means that the goal of avoiding potential issues with the RFC Series 
> results collides with a different goal--getting community review of 
> leadership positions on a regular basis.

False conclusion from a false premise.  Ignored.

> February means we will have the comments in hand before IETF 106 and 
> can move through the rest of the process without colliding with 
> whatever next steps are decided there.  That's why I continue to 
> believe that this review, conducted at its normal time, is less risky 
> than delaying it.

You were supposed to put this to an e-vote and report back.  I haven't 
heard anything about that?

In any event, the RSOC didn't seem to think that its review actions 
could trigger a resignation - but here we are.  Both Heather and Adrian 
are professionals, but both get to decide when its time to leave.  I'm 
trying to avoid any possibility that the IAB (or the community for that 
matter) could make a misstep that triggers a decision on Adrian's part 
to resign the position.

I will repeat again - there is NOTHING in any of the documents related 
to the ISE that requires reviews be exactly two years. This was a 
"tradition" derived from Nevil's contract expiration that seems to have 
carried over into Adrian's term.  Yes, I know you said "2 years" in your 
announcement email - but that's administrative not legislative.

All that said, the IAB will do what the IAB wants to do...

Later, Mike

---

From: Ted Lemon <[email-masked]>
Date: Tue, 17 Sep 2019 12:54:00 -0400

On Sep 17, 2019, at 12:18 PM, Michael StJohns <[email-masked]> wrote:
> This logic is so tortured I pictured you in a dungeon with a rack and other instruments of painful persuasion.

?

---

From: Ted Hardie <[email-masked]>
Date: Tue, 17 Sep 2019 11:50:48 -0700

Howdy Mike,

Replies in-line.

On Tue, Sep 17, 2019 at 9:18 AM Michael StJohns <[email-masked]>
wrote:

> that simplification, you can end up missing the other things that need to
> get done.
>

No, no, it's a standard Dell Z230.  The distro is a little odd, I grant
you, since it's our own flavor of Debian testing, but I don't think it's
commonly considered an instrument of torture.

> resigned, or otherwise became unavailable, the respective body would simply
> replace them and the community as a whole mostly wouldn't care.  Trying to
> equate the IAB or IESG stream managers with the ISE (who is *also*  the
> independent stream manager as well as its editor) seems to be a stretch.
>
> Had you - prior to this discussion - offered to make that change to involve
> the stream managers and others, you *might* have a point to your argument
> that this might be disruptive (but probably not).  Now - I don't think your
> argument holds water
>

It's not actually a real argument--I don't think Christian should be exempt
from NomCom review.  It's an illustration of why your previous statement,
which had a single axis for evaluating different schemes for delaying the
ISE renewal, might run afoul of different goals, like maintaining a cadence
of community review.

The stream manager proposal was discussed by Heather at the first of the 3
interim discussions on how to convene the process, by the way, which is why
it was part of the illustration.

> False conclusion from a false premise.  Ignored.
Noted.

> heard anything about that?
I expect we will record the results of the e-vote at tomorrow's meeting.
While the tally is not yet official, so far no one has supported re-opening
the process.

> In any event, the RSOC didn't seem to think that its review actions could
> trigger a resignation - but here we are.  Both Heather and Adrian are
> professionals, but both get to decide when its time to leave.  I'm trying
> to avoid any possibility that the IAB (or the community for that matter)
> could make a misstep that triggers a decision on Adrian's part to resign
> the position.
>
> I will repeat again - there is NOTHING in any of the documents related to
> the ISE that requires reviews be exactly two years.  This was a "tradition"
> derived from Nevil's contract expiration that seems to have carried over
> into Adrian's term.  Yes, I know you said "2 years" in your announcement
> email - but that's administrative not legislative.
>
> It was part of the discussion with the candidates and the agreement with
the incumbent; it was also announced to the community at the time.  As I
said before, deciding to change it and make up a new process would be a
late surprise, and we're trying to avoid those.  In this case especially,
there seems to be no reason to avoid this proceeding according to Hoyle.

regards,

Ted Hardie

> rfc-interest mailing [email-masked]://www.rfc-editor.org/mailman/listinfo/rfc-interest
>
>

---

From: Michael StJohns <[email-masked]>
Date: Tue, 17 Sep 2019 15:53:55 -0400

On 9/17/2019 2:50 PM, Ted Hardie wrote:
>
>     You were supposed to put this to an e-vote and report back.  I
>     haven't heard anything about that?
>
> I expect we will record the results of the e-vote at tomorrow's 
> meeting.  While the tally is not yet official, so far no one has 
> supported re-opening the process.

Thanks - Mike

---

From: S Moonesamy <[email-masked]>
Date: Tue, 17 Sep 2019 13:10:59 -0700

Hi Ted,
At 08:17 AM 17-09-2019, Ted Hardie wrote:
>While it is up to you to judge the potential for conflict of 
>interest, other members for the ISEB have done so while disclosing 
>the position.  You may wish to consider if you would like to that 
>route instead.

Thanks for the feedback and the explanation about the point of the 
call.  Hopefully, people will have a better view of what feedback to provide.

Regards,
S. Moonesamy

---

From: Ted Hardie <[email-masked]>
Date: Wed, 18 Sep 2019 08:47:44 -0700

Hi Mike,

The vote was recorded this morning, and there was no support for changing
the process currently underway.

regards,

Ted